Bug 1312501 - [GSS](6.4.z) CXF-6799 - java.lang.ClassCastException: sun.reflect.generics.reflectiveObjects.ParameterizedTypeImpl cannot be cast to java.lang.reflect.TypeVariable
[GSS](6.4.z) CXF-6799 - java.lang.ClassCastException: sun.reflect.generics.re...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services (Show other bugs)
6.4.7
Unspecified Unspecified
high Severity unspecified
: CR1
: EAP 6.4.9
Assigned To: Chao Wang
Peter Mackay
:
Depends On:
Blocks: 1312499 1312503 eap649-payload
  Show dependency treegraph
 
Reported: 2016-02-26 17:38 EST by Brad Maxwell
Modified: 2017-01-17 07:58 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 07:57:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-3711 Major Verified [GSS](7.0.z) CXF-6799 - java.lang.ClassCastException: sun.reflect.generics.reflectiveObjects.ParameterizedTypeImpl canno... 2016-11-08 03:16 EST
Apache JIRA CXF-6799 None None None 2016-02-26 17:39 EST
Red Hat Knowledge Base (Solution) 2190491 None None None 2016-06-28 13:31 EDT

  None (edit)
Description Brad Maxwell 2016-02-26 17:38:47 EST
Description of problem:

Deploying test web service gives on JBoss startup:
Caused by: java.lang.ClassCastException: sun.reflect.generics.reflectiveObjects.ParameterizedTypeImpl cannot be cast to java.lang.reflect.TypeVariable
at org.apache.cxf.jaxb.JAXBContextInitializer.addType(JAXBContextInitializer.java:251)
Generated web service class has the following element which has issues with the JAXB binding:
@XmlElementRefs(
{ @XmlElementRef(name = "Salutation", namespace = "http://ws.gss.redhat.com/", type = JAXBElement. @XmlElementRef(name = "Name", namespace = "http://ws.gss.redhat.com/", type = JAXBElement.class) }
)
protected JAXBElement<String> [] salutationAndName;
Web service was generated from WSDL with <jaxb:globalBindings collectionType="indexed" /> and the following schema:
<xs:complexType name="Greetings">
<xs:sequence maxOccurs="unbounded">
<xs:element name="Salutation" type="xsd:string"/>
<xs:element name="Name" type="xsd:string"/>
</xs:sequence>
</xs:complexType>
Comment 6 JBoss JIRA Server 2016-03-14 20:11:35 EDT
Chao Wang <chaowan@redhat.com> updated the status of jira JBEAP-3800 to Closed
Comment 9 JBoss JIRA Server 2016-05-26 21:35:27 EDT
Chao Wang <chaowan@redhat.com> updated the status of jira JBEAP-3711 to Resolved
Comment 10 Peter Mackay 2016-06-29 05:16:08 EDT
Verified with EAP 6.4.9.CP.CR2
Comment 11 Petr Penicka 2017-01-17 07:57:54 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.
Comment 12 Petr Penicka 2017-01-17 07:58:25 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Note You need to log in before you can comment on or make changes to this bug.